summaryrefslogtreecommitdiff
path: root/metadata.json
blob: f75d2373e2b33bf71b5f69640cced782754b01a5 (plain)
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
{
    "author": "OpenStack",
    "dependencies": [
        {
            "name": "puppetlabs/inifile",
            "version_requirement": ">=2.0.0 <3.0.0"
        },
        {
            "name": "openstack/keystone",
            "version_requirement": ">=15.0.0 <16.0.0"
        },
        {
            "name": "puppetlabs/rabbitmq",
            "version_requirement": ">=8.4.0 <9.0.0"
        },
        {
            "name": "puppetlabs/mysql",
            "version_requirement": ">=6.0.0 <9.0.0"
        },
        {
            "name": "puppetlabs/stdlib",
            "version_requirement": ">=5.0.0 <6.0.0"
        },
        {
            "name": "openstack/swift",
            "version_requirement": ">=15.0.0 <16.0.0"
        },
        {
            "name": "openstack/openstacklib",
            "version_requirement": ">=15.0.0 <16.0.0"
        },
        {
            "name": "openstack/oslo",
            "version_requirement": ">=15.0.0 <16.0.0"
        }
    ],
    "description": "Installs and configures OpenStack Glance (Image Service).",
    "issues_url": "https://bugs.launchpad.net/puppet-glance",
    "license": "Apache-2.0",
    "name": "openstack-glance",
    "operatingsystem_support": [
        {
            "operatingsystem": "Debian",
            "operatingsystemrelease": [
                "9"
            ]
        },
        {
            "operatingsystem": "Fedora",
            "operatingsystemrelease": [
                "24"
            ]
        },
        {
            "operatingsystem": "RedHat",
            "operatingsystemrelease": [
                "7"
            ]
        },
        {
            "operatingsystem": "Ubuntu",
            "operatingsystemrelease": [
                "18.04"
            ]
        }
    ],
    "project_page": "https://launchpad.net/puppet-glance",
    "requirements": [
        {
            "name": "puppet",
            "version_requirement": "5.x"
        }
    ],
    "source": "git://github.com/openstack/puppet-glance.git",
    "summary": "Puppet module for OpenStack Glance",
    "version": "15.0.0"
}